

Name:           notifyconf
Version:	1.0
Release:	%mkrel 2
Summary:	A configuration tool for notify-osd
Summary(de):    Konfigurationstool für Notify-OSD
Group:		System/Configuration/Other
License:	GPLv3
Url:		http://launchpad.net/notifyconf
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
BuildRequires:	libqt4-devel 
Requires:	notify-osd
Requires:   	glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2 

%description
A configuration tool for notify-osd patched with
Roman Sukochev's (leolik) extended configuration patch.

%description -l de
Konfigurationstool für Notify-OSD gepacht mit 
Roman Sukochev's (leolik) erweiterter Konfiguration 
Patch.

%prep
%setup

%build
qmake NotifyOSDConfiguration.pro
%__make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 -p not.png $RPM_BUILD_ROOT%{_datadir}/%{name}/not.png
install -m 644 -p default.def $RPM_BUILD_ROOT%{_datadir}/%{name}/default.def
install -m 755 -p NotifyOSDConfiguration $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 -p %{_sourcedir}/%{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
%{update_menus}

%postun
%{clean_menus}
%{update_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/notifyconf
%{_bindir}/notifyconf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/notifyconf/default.def
%{_datadir}/notifyconf/not.png

%changelog
* Sun May 08 2011 Texstar <texstar at gmail.com> 1.0-2pclos2011
- fix rpm group

* Tue Apr 05 2011 Sproggy <desproggster at gmail.com> 1.0-1pclos2011
- initial build for PCLOS
- add german synaptic description (leiche)
